Subject: Re: bug#13390: tramp-adb hanging forever

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 18 Feb 2013 17:42:39 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Tramp expects, that "id -g" returns just a number. Your /system/bin/id
> behaves differently.
>
> During my tests I've found that several commands in /system/bin behave
> not exactly as expected. Thats why I have recommended to use as shell
> just "sh". In the case of SSHDroid this results in a shell which comes
> with SSHDroid, and which behaves more regular.
>
> Maybe you give it a try?
Same without specifying the path of "sh":

Tramp: Sending command `exec ssh  -p 2222 -o ControlPath=/tmp/tramp.2399kbl.%r@%h:%p -o ControlMaster=auto -o ControlPersist=no -e none 192.168.0.24'
Tramp: Found remote shell prompt on `192.168.0.24'
Tramp: Opening connection for 192.168.0.24#2222 using ssh...done
byte-code: `/system/bin/id -g ' does not return a valid Lisp expression: `uid=0(root) gid=0(root) groups=0(root)

And when I run "id -g" from a shell connected to device, I have indeed
same result:

,----
| thierry@dell-14z:~/tmp/emacs-savanah-git$ ssh zte
| Welcome to DropBear SSH Server II!
| [email-masked]'s password: 
| -sh-3.2# id -g
| uid=0(root) gid=0(root) groups=0(root)
`----

But indeed it seem there is different implementation of command "id":

,----
| thierry@dell-14z:~/tmp/emacs-savanah-git$ ssh zte
| Welcome to DropBear SSH Server II!
| [email-masked]'s password: 
| -sh-3.2# /system/xbin/id -g
| 0
| -sh-3.2# /system/bin/id -g 
| uid=0(root) gid=0(root) groups=0(root)
`----

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997